"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Execution = void 0;
class Execution {
    constructor(
    // Context from which bigodon path expressions will evaluate
    contexts, 
    // Extra helpers that can be called other than default bigodon helpers
    extraHelpers, 
    // Data that cannot be accessed from the template but can be accessed and modified from helpers
    data) {
        this.contexts = contexts;
        this.extraHelpers = extraHelpers;
        this.data = data;
    }
    get context() {
        return this.contexts[this.contexts.length - 1];
    }
    withChildContext(context) {
        return new Execution([...this.contexts, context], this.extraHelpers);
    }
    static of(context, extraHelpers = new Map(), options = {}) {
        return new Execution([context], extraHelpers, options.data);
    }
}
exports.Execution = Execution;
