"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mathHelpers = void 0;
function add(a, b) {
    return Number(a) + Number(b);
}
function subtract(a, b) {
    return Number(a) - Number(b);
}
function multiply(a, b) {
    return Number(a) * Number(b);
}
function divide(a, b) {
    return Number(a) / Number(b);
}
function modulo(a, b) {
    return Number(a) % Number(b);
}
function toInt(a) {
    return parseInt(a);
}
function toFloat(a) {
    return parseFloat(a);
}
function toNumber(a) {
    return Number(a);
}
function random(min, max) {
    const minNum = Number(min);
    const maxNum = Number(max);
    if (isNaN(minNum) || isNaN(maxNum)) {
        return NaN;
    }
    return Math.floor(Math.random() * (maxNum - minNum + 1)) + minNum;
}
function toFixed(num, digits) {
    const fractionDigits = digits < 0 ? 0 : digits;
    return Number(num).toFixed(fractionDigits);
}
function floor(num) {
    return Math.floor(num);
}
function ceil(num) {
    return Math.ceil(num);
}
function round(num) {
    return Math.round(num);
}
exports.mathHelpers = Object.assign(Object.create(null), {
    add, sum: add, plus: add,
    subtract, minus: subtract,
    multiply, product: multiply, times: multiply,
    divide, quotient: divide,
    modulo, remainder: modulo, mod: modulo,
    toInt, toInteger: toInt, parseInt: toInt,
    toFloat, toDecimal: toFloat, parseFloat: toFloat,
    toNumber, number: toNumber,
    random, toFixed, floor, ceil, round
});
